=head1 NAME

Gtk2::CheckMenuItem - wrapper for GtkCheckMenuItem

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::CheckMenuItem



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gtk2::CheckMenuItem-E<gt>B<new> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::CheckMenuItem-E<gt>B<new_with_label> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::CheckMenuItem-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=item * $label (string) 

=back

=head2 boolean = $check_menu_item-E<gt>B<get_active> 

=head2 $check_menu_item-E<gt>B<set_active> ($is_active)

=over

=item * $is_active (boolean) 

=back

=head2 boolean = $check_menu_item-E<gt>B<get_draw_as_radio> 

Since: gtk+ 2.4

=head2 $check_menu_item-E<gt>B<set_draw_as_radio> ($draw_as_radio)

=over

=item * $draw_as_radio (boolean) 

=back

Since: gtk+ 2.4

=head2 boolean = $check_menu_item-E<gt>B<get_inconsistent> 

=head2 $check_menu_item-E<gt>B<set_inconsistent> ($setting)

=over

=item * $setting (boolean) 

=back

=head2 $menu_item-E<gt>B<set_show_toggle> ($always)

=over

=item * $always (boolean) 

=back

=head2 $check_menu_item-E<gt>B<toggled> 



=cut


=head1 PROPERTIES

=over

=item 'active' (boolean : default false : readable / writable / private)

Whether the menu item is checked

=item 'draw-as-radio' (boolean : default false : readable / writable / private)

Whether the menu item looks like a radio menu item

=item 'inconsistent' (boolean : default false : readable / writable / private)

Whether to display an "inconsistent" state

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'indicator-size' (integer : default 13 : readable / private)

Size of check or radio indicator

=back



=cut


=head1 SIGNALS

=over

=item B<toggled> (Gtk2::CheckMenuItem)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Item>, L<Gtk2::MenuItem>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

